<?php

namespace Src\Modules\JsonObjects\Interfaces\Application;

use Src\Modules\JsonObjects\Interfaces\Infrastructure\IDirsStorage;

interface IDataBuilder
{
    public function setDirStorage(IDirsStorage $dirStorage): void;
    public function build(array $data): array;
    public function buildDirData(array $requestData): array;
}
